View Issue Details

IDProjectCategoryView StatusLast Update
0006543MediaMonkey 4Now Playingpublic2011-01-04 06:05
Reporterpeke Assigned To 
PriorityhighSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Summary0006543: Stop After Current behavior
DescriptionMoved from 0002964 note from Bex:
-----
As raised here:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=35669 [^]
It is expected that when using "Stop After Current" the player should advance to the next track, if any, instead of remain on the current track.
-----

Desired behavior:
In case that Shuffle is enable it should stay on current track and if not it should next track as current one.
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=4&t=54553
TagsNo tags attached.
Fixed in build

Relationships

related to 0000023 feedbackrusty Configurable Shuffle functionality (current behavior vs randomize list) 
child of 0002964 closedpetr Add 'Stop after current' command 

Activities

Mizery_Made

2010-10-13 23:37

updater   ~0020760

Last edited: 2010-10-13 23:42

View 2 revisions

If it is implemented as it's suggested above, I would hope it's some how configurable, as personally I don't see the logic behind it staying on the current track when Shuffle is on, and not when it's off. I would think it should move to the next track when it stops, regardless.

EDIT: Then again, I can see logic for it being left as it originally was (staying on the current track regardless) as when you use "Stop," it remains on the currently playing track whereas "Stop after Current" allows the ability to finish the play of the song and then evoking the stop command. It really depends on an individuals interpretation of "after" (after it plays, or after it moves to the next track). Thus, I honestly feel the best course of action would be to make it some how configurable in the options and then use wording for the feature that works for each functionality (or have it change according to the settings).

peke

2010-10-14 00:17

developer   ~0020761

@Mizery_Made
There is a reason Why I suggested that in case of Shuffle it stays on same track as in case of shuffle big chance is that user wanted to stop and chose next track so in case of 3k playlist Shuffle Next can jump away from original played track which can lead to losing valuable time when doing live performance.

Check my Quck play Keys plugin behavior and you will see what I'm talking about.

peke

2011-01-02 00:29

developer   ~0022163

Detailed description http://www.mediamonkey.com/forum/viewtopic.php?p=281162#p281162

rusty

2011-01-04 06:04

administrator   ~0022180

As Joe concluded in the forum thread, we shouldn't have different behaviours depending on whether or not Shuffle is enabled. So we can:

a) leave the current behavior
b) change the current behavior to Stop at the next track
c) retain the current behavior and add a new button (Stop after next)
d) make the behavior configurable

I think that b) makes the most sense since manually stopping at the end of a track will generally result in the following track showing up in the queue).

The problem with that approach is the one that Peke raised (that if Shuffle is enabled, the user won't be able to find the previous spot in the tracklist), however, that issue is mitigated by the fixes to 0000023 to-date, but would be resolved completely if the remaining changes to 0000023 were implemented (i.e. if 'Shuffle' adjusted the Now Playing list dynamically).

So my suggestion is to leave this as is for now, and modify the behavior if/when 0000023 is completely resolved.